#!/bin/sh
if [ -f /run/checkers.pid ]; then
	checkerpid=$(/usr/bin/cat /run/checkers.pid) 
	/bin/kill $checkerpid
	echo "Kill checkers-pid $checkerpid , when execute stop-post keepalived"
fi

if [ -f /run/vrrp.pid ]; then 
	vrrppid=$(/usr/bin/cat /run/vrrp.pid)
	/bin/kill $vrrppid
	echo "Kill vrrp-pid $vrrppid, when execute stop-post keepalived"
fi

if [ -f /run/keepalived.pid.save ]; then
	rm -rf /run/keepalived.pid.save
fi

echo "Excuted stop-post keepalived"

